Check vote eligibility

Check if an IP address can vote for a server. Returns vote eligibility and next vote time if already voted.

GET
/vote/check
X-API-KEY<token>

Vote API key. Get your Vote API key from the dashboard at /settings/developer

In: header

Query Parameters

serverId?string

The UUID of the server to check

slug?string

The slug of the server to check (alternative to serverId)

name?string

The name of the server to check (alternative to serverId/slug)

ipstring

The IP address to check vote eligibility for

Response Body

curl -X GET "https://api.emudevs.gg/vote/check?serverId=123e4567-e89b-12d3-a456-426614174000&slug=my-awesome-server&name=My+Awesome+Server&ip=192.168.1.1"
{
  "canVote": true,
  "nextVoteAt": "2019-08-24T14:15:22Z",
  "serverVotes": 0
}
Empty
Empty
Empty